=== debian/control ===
Source: dbmail
Section: mail
Priority: optional
Maintainer: Paul J Stevens <paul@nfg.nl>
Homepage: http://www.dbmail.org
Build-Depends: automake1.9, debhelper (>= 5.0.7), libsieve2-dev (>= 2.1.12), libglib2.0-dev, libgmime-2.0-2-dev | libgmime2.1-dev, libldap2-dev, libsqlite3-dev, libpq-dev, libmysqlclient15-dev | libmysqlclient14-dev, pkg-config, libtool, asciidoc, xmlto, chrpath, po-debconf
Standards-Version: 3.9.1

Package: dbmail
Architecture: any
Pre-Depends: adduser
Depends: ${misc:Depends}, ${shlibs:Depends}, ucf (>= 0.30), debconf (>= 0.5) | debconf-2.0
Provides: imap-server, pop3-server
Suggests: dbmail-pgsql | dbmail-mysql, sqlite3
Description: email storage server that supports SQL
 DBMail is a collection of programs that allow the use of a relational
 database to store both email messages and user account data. It
 supports Sieve filtering, and the client protocols POP3, IMAP4, LMTP,
 and ManageSieve.
 .
 This package supports LDAP authentication, with SQLite as the
 database backend; see dbmail-pgsql and -mysql for alternatives.

Package: dbmail-pgsql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, dbmail (= ${binary:Version})
Description: PostgreSQL module for dbmail
 DBMail is a collection of programs that allow the use of a relational
 database to store both email messages and user account data. It
 supports Sieve filtering, and the client protocols POP3, IMAP4, LMTP,
 and ManageSieve.
 .
 This package provides a module for adding PostgreSQL database 
 support.

Package: dbmail-mysql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, dbmail (= ${binary:Version})
Description: MySQL module for dbmail
 DBMail is a collection of programs that allow the use of a relational
 database to store both email messages and user account data. It
 supports Sieve filtering, and the client protocols POP3, IMAP4, LMTP,
 and ManageSieve.
 .
 This package provides a module for adding MySQL database support.
