=== debian/watch ===
version=3

http://www.dbmail.org/download/2.2/dbmail-(.*).tar.gz
